Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core API 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.application.push
Class SessionTopicEvent

    java.lang.Object
      java.util.EventObject
          org.richfaces.application.push.TopicEvent
              org.richfaces.application.push.SessionTopicEvent

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  SessionPreSubscriptionEvent, SessionSubscriptionEvent, SessionUnsubscriptionEvent

    public abstract class SessionTopicEvent

extends TopicEvent

Author:
  Nick Belaevski
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`SessionTopicEvent(Topic topic, TopicKey topicKey, Session session)`

Method Summary
`Session` | `getSession()`
`TopicKey` | `getTopicKey()`
`boolean` | `isAppropriateListener(EventListener listener)`

Methods inherited from class org.richfaces.application.push.TopicEvent
`getTopic, invokeListener`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SessionTopicEvent

    public SessionTopicEvent(Topic topic,
                             TopicKey topicKey,
                             Session session)

Method Detail

### getSession

    public Session getSession()

### getTopicKey

    public TopicKey getTopicKey()

### isAppropriateListener

    public boolean isAppropriateListener(EventListener listener)

  Overrides:
    `isAppropriateListener` in class `TopicEvent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core API 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.